#ifndef EDITSCENE_CHARACTERIDENTITYEDITOR_HPP
#define EDITSCENE_CHARACTERIDENTITYEDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/CharacterIdentity.hpp"

class CharacterIdentityEditor : public ComponentEditor<CharacterIdentityComponent> {
public:
	const char *getName() const override
	{
		return "Character Identity";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     CharacterIdentityComponent &identity) override;
};

#endif // EDITSCENE_CHARACTERIDENTITYEDITOR_HPP
